### Method

# Ggit Repository tag_foreach

#### Declaration [src]

    gboolean
    ggit_repository_tag_foreach (
      GgitRepository* repository,
      GgitTagCallback callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Get all the tags in the repository and run the provided callback on each. If the callback returns something other than 0, the iteration will stop and `error` will be set.

#### Parameters

`callback`

  Type: `GgitTagCallback`

  A `GgitTagCallback`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there was no error, `FALSE` otherwise.